%global version_git 20190413

Name:           flat-remix-icon-theme
Version:        0.0.%{version_git}
Release:        2%{?dist}
Summary:        Icon theme inspired on material design

# The entire source code is GPLv3+ except:
# GPLv3:        Numix icon theme
#               Papirus icon theme
# CC-BY-SA:     EvoPop icon theme
#               Flattr icon theme
#               Paper icon theme
License:        GPLv3+ and CC-BY-SA
URL:            https://github.com/daniruiz/flat-remix
Source0:        %{url}/archive/%{version_git}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  fdupes

Requires:       adwaita-icon-theme
Requires:       gnome-icon-theme
Requires:       hicolor-icon-theme

%description
Flat Remix icon theme is a pretty simple Linux icon theme inspired on material
design. It is mostly flat with some shadows, highlights and gradients for some
depth, and uses a colorful palette with nice contrasts.

%prep
%autosetup -n flat-remix-%{version_git}

%build
%make_build

%install
%make_install
%fdupes -s %{buildroot}%{_datadir}

touch %{buildroot}%{_datadir}/icons/Flat-Remix-Blue/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Blue-Dark/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Blue-Light/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Green/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Green-Dark/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Green-Light/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Red/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Red-Dark/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Red-Light/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Yellow/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Yellow-Dark/icon-theme.cache
touch %{buildroot}%{_datadir}/icons/Flat-Remix-Yellow-Light/icon-theme.cache

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Blue
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Blue &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Blue-Dark
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Blue-Dark &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Blue-Light
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Blue-Light &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Green
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Green &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Green-Dark
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Green-Dark &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Green-Light
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Green-Light &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Yellow
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Yellow &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Yellow-Dark
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Yellow-Dark &>/dev/null || :

%transfiletriggerin -- %{_datadir}/icons/Flat-Remix-Yellow-Light
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Yellow-Light &>/dev/null || :

# ---

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Blue
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Blue &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Blue-Dark
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Blue-Dark &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Blue-Light
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Blue-Light &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Green
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Green &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Green-Dark
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Green-Dark &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Red
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Red &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Red-Dark
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Red-Dark &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Red-Light
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Red-Light &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Yellow
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Yellow &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Yellow-Dark
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Yellow-Dark &>/dev/null || :

%transfiletriggerpostun -- %{_datadir}/icons/Flat-Remix-Yellow-Light
gtk-update-icon-cache --force %{_datadir}/icons/Flat-Remix-Yellow-Light &>/dev/null || :

%files
%doc README.md AUTHORS
%license LICENSE
%{_datadir}/icons/Flat-Remix-Blue
%{_datadir}/icons/Flat-Remix-Blue-Dark
%{_datadir}/icons/Flat-Remix-Blue-Light
%{_datadir}/icons/Flat-Remix-Green
%{_datadir}/icons/Flat-Remix-Green-Dark
%{_datadir}/icons/Flat-Remix-Green-Light
%{_datadir}/icons/Flat-Remix-Red
%{_datadir}/icons/Flat-Remix-Red-Dark
%{_datadir}/icons/Flat-Remix-Red-Light
%{_datadir}/icons/Flat-Remix-Yellow
%{_datadir}/icons/Flat-Remix-Yellow-Dark
%{_datadir}/icons/Flat-Remix-Yellow-Light
%ghost %{_datadir}/icons/Flat-Remix-Blue/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Blue-Dark/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Blue-Light/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Green/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Green-Dark/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Green-Light/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Red/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Red-Dark/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Red-Light/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Yellow/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Yellow-Dark/icon-theme.cache
%ghost %{_datadir}/icons/Flat-Remix-Yellow-Light/icon-theme.cache

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20190413-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Apr 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.20190413-1
- Initial package
